Tp::PendingContacts Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingContacts Class Reference
Connection proxies

The PendingContacts class is used by ContactManager when creating/updating Contact objects. More...

`#include <TelepathyQt/PendingContacts>`

Inherits Tp::PendingOperation.

## Public Member Functions
| ~PendingContacts ()
ContactManagerPtr | manager () const
Features | features () const
bool | isForHandles () const
UIntList | handles () const
bool | isForIdentifiers () const
QStringList | identifiers () const
bool | isForVCardAddresses () const
QString | vcardField () const
QStringList | vcardAddresses () const
bool | isForUris () const
QStringList | uris () const
bool | isUpgrade () const
QList< ContactPtr > | contactsToUpgrade () const
QList< ContactPtr > | contacts () const
UIntList | invalidHandles () const
QStringList | validIdentifiers () const
QHash< QString, QPair< QString, QString > > | invalidIdentifiers () const
QStringList | validVCardAddresses () const
QStringList | invalidVCardAddresses () const
QStringList | validUris () const
QStringList | invalidUris () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members
Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingContacts class is used by ContactManager when creating/updating Contact objects.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingContacts::~PendingContacts | ( |  | ) |

Class destructor.

## Member Function Documentation

ContactManagerPtr Tp::PendingContacts::manager | ( |  | ) | const

Features Tp::PendingContacts::features | ( |  | ) | const

bool Tp::PendingContacts::isForHandles | ( |  | ) | const

UIntList Tp::PendingContacts::handles | ( |  | ) | const

bool Tp::PendingContacts::isForIdentifiers | ( |  | ) | const

QStringList Tp::PendingContacts::identifiers | ( |  | ) | const

bool Tp::PendingContacts::isForVCardAddresses | ( |  | ) | const

QString Tp::PendingContacts::vcardField | ( |  | ) | const

QStringList Tp::PendingContacts::vcardAddresses | ( |  | ) | const

bool Tp::PendingContacts::isForUris | ( |  | ) | const

QStringList Tp::PendingContacts::uris | ( |  | ) | const

bool Tp::PendingContacts::isUpgrade | ( |  | ) | const

QList< ContactPtr > Tp::PendingContacts::contactsToUpgrade | ( |  | ) | const

QList< ContactPtr > Tp::PendingContacts::contacts | ( |  | ) | const

UIntList Tp::PendingContacts::invalidHandles | ( |  | ) | const

QStringList Tp::PendingContacts::validIdentifiers | ( |  | ) | const

QHash< QString, QPair< QString, QString > > Tp::PendingContacts::invalidIdentifiers | ( |  | ) | const

QStringList Tp::PendingContacts::validVCardAddresses | ( |  | ) | const

QStringList Tp::PendingContacts::invalidVCardAddresses | ( |  | ) | const

QStringList Tp::PendingContacts::validUris | ( |  | ) | const

QStringList Tp::PendingContacts::invalidUris | ( |  | ) | const